Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.impl
Class DefaultFileSystemConfigBuilder

    java.lang.Object
      org.apache.commons.vfs.FileSystemConfigBuilder
          org.apache.commons.vfs.impl.DefaultFileSystemConfigBuilder

public class DefaultFileSystemConfigBuilder
extends FileSystemConfigBuilder

Default options usable for all filesystems

Constructor Summary
`DefaultFileSystemConfigBuilder()`

Method Summary
`protected Class` | `getConfigClass()`
`static DefaultFileSystemConfigBuilder` | `getInstance()`
`UserAuthenticator` | `getUserAuthenticator(FileSystemOptions opts)`
`void` | `setUserAuthenticator(FileSystemOptions opts, UserAuthenticator userAuthenticator)` Sets the user authenticator to get authentication informations

Methods inherited from class org.apache.commons.vfs.FileSystemConfigBuilder
`getParam, hasParam, setParam`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFileSystemConfigBuilder

    public DefaultFileSystemConfigBuilder()

Method Detail

### getInstance

    public static DefaultFileSystemConfigBuilder getInstance()

### setUserAuthenticator

    public void setUserAuthenticator(FileSystemOptions opts,
                                     UserAuthenticator userAuthenticator)
                              throws FileSystemException

  Sets the user authenticator to get authentication informations

  Throws:
    `FileSystemException`

### getUserAuthenticator

    public UserAuthenticator getUserAuthenticator(FileSystemOptions opts)

  See Also:
    `setUserAuthenticator(org.apache.commons.vfs.FileSystemOptions, org.apache.commons.vfs.UserAuthenticator)`

### getConfigClass

    protected Class getConfigClass()

  Specified by:
    `getConfigClass` in class `FileSystemConfigBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.